rasyuki

Hi

Spine Web Playerの現在の最新バージョンは4.2.28のようです。
古いバージョンのSpine Web Playerを入手する方法はありますか?
$ yarn add @esotericsoftware/spine-player@^3.9

Couldn't find any versions for "@esotericsoftware/spine-player" that matches "3.9"
? Please choose a version of "@esotericsoftware/spine-player" from this list:
Listの中には最小は4.0.1のようです。

----------------------------------------------------------------------------------------------------------------

Hi

The current latest version of Spine Web Player seems to be 4.2.28.
Is there any way to get an older version of Spine Web Player?
$ yarn add @esotericsoftware/spine-player@^3.9

Couldn't find any versions for "@esotericsoftware/spine-player" that matches "3.9"
? Please choose a version of "@esotericsoftware/spine-player" from this list:
The minimum in the List appears to be 4.0.1.
rasyuki
  • Bài viết: 5

Mario

残念ながら、Spine バージョン 4.0 から、spine-ts とそのバックエンドを NPM に公開し始めたばかりです。 古いバージョンは NPM に公開されておらず、パッケージを作成するために必要なビルド ファイルも含まれていません。

I'm afraid we only started publishing spine-ts and its backends to NPM starting with Spine version 4.0. Older versions have not been published to NPM and also do not contain the necessary build files to create packages.
Hình đại diện của thành viên
Mario

Mario
  • Bài viết: 3249

Misaki

先にMarioから回答があった通り、申し訳ありませんが古いバージョンはNPMに公開されておりません。
そのため、古いバージョンのSpine Web Playerを使用したい場合は、GitHubからソースをダウンロードし、そしてNPMがそのソースを処理、およびコード内に含めることができるようにソースを修正していただく必要があります。
古いソースをダウンロードするには、spine-tsリポジトリでブランチを必要なバージョンに切り替えてください。
https://github.com/EsotericSoftware/spine-runtimes/tree/4.1/spine-ts
Hình đại diện của thành viên
Misaki

Misaki
  • Bài viết: 1046

rasyuki

ご返答ありがとうございます。

Spine バージョン3.8で書き出したJSONは、
Spine Web Player 4以降と互換性はありますでしょうか。

3.8で書き出されたファイルをSpine Web Player 4.2.28で読み込んだ際に、
アニメーションが正しく動かない
Animation bounds are invalid:アニメーション名
と表示されてしまいます。
rasyuki
  • Bài viết: 5

Misaki

Spine バージョン3.8で書き出したJSONは、
Spine Web Player 4以降と互換性はありますでしょうか。
いいえ、残念ながら互換性はありません。Spineのエディターのバージョンとランタイムのバージョンは必ず一致させる必要があります。
そのため、Spine 3.8で書き出されたJSONファイルはSpine Web Player 3.8でしか読み込めません。
申し訳ありませんがご理解いただけますと幸いです。
Hình đại diện của thành viên
Misaki

Misaki
  • Bài viết: 1046

rasyuki

ありがとうございます。
4.x環境で使用します。
rasyuki
  • Bài viết: 5


Quay về 日本のSpine ユーザー